<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsSatInfo Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_sat_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsSatInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A container for information of one GNSS satellite.  
 <a href="struct_xs_sat_info.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab9f3d02781f9cbfa9490513e9e2f4d5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9f3d02781f9cbfa9490513e9e2f4d5b"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sat_info.html#ab9f3d02781f9cbfa9490513e9e2f4d5b">m_gnssId</a></td></tr>
<tr class="memdesc:ab9f3d02781f9cbfa9490513e9e2f4d5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">GNSS identifier. <br /></td></tr>
<tr class="separator:ab9f3d02781f9cbfa9490513e9e2f4d5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae082f44fcdcf7c3a9022d99c9a26ca27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae082f44fcdcf7c3a9022d99c9a26ca27"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sat_info.html#ae082f44fcdcf7c3a9022d99c9a26ca27">m_svId</a></td></tr>
<tr class="memdesc:ae082f44fcdcf7c3a9022d99c9a26ca27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Satellite identifier. <br /></td></tr>
<tr class="separator:ae082f44fcdcf7c3a9022d99c9a26ca27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae81086fc7249d42f52878b6dcc15a43a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae81086fc7249d42f52878b6dcc15a43a"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sat_info.html#ae81086fc7249d42f52878b6dcc15a43a">m_cno</a></td></tr>
<tr class="memdesc:ae81086fc7249d42f52878b6dcc15a43a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Carrier to noise ratio (signals strength) <br /></td></tr>
<tr class="separator:ae81086fc7249d42f52878b6dcc15a43a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acffcfa04411e4e0d844fc717285e4e02"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sat_info.html#acffcfa04411e4e0d844fc717285e4e02">m_flags</a></td></tr>
<tr class="separator:acffcfa04411e4e0d844fc717285e4e02"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A container for information of one GNSS satellite. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="acffcfa04411e4e0d844fc717285e4e02"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsSatInfo::m_flags</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>bits[0..2] : Signal quality indicator 0 = No signal 1 = Searching signal 2 = Signal acquired 3 = Signal detected but unusable 4 = Code locked and time synchronized 5, 6, 7 = Code and carrier locked and time synchronized bits[3] : Is set to 1 when the SV is being used for navigation bits[4..5] : SV health flag 0 = unknown 1 = healthy 2 = unhealthy bits[6] : Is set to 1 when differential correction data is available bits[7] : reserved </p>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
